import javax.swing.JOptionPane;

/** 
 * Tests the Student class and demonstrates polymorphism  and subtyping with 
 * classes SuffolkResident, NYStateResident, NonResident and SeniorCitizen.
 * 
 * @author Carl B. Struck
 * @version  Copyright 2002 (c) SCCC West
 */ 
public class Subtyping2
{
    /**
     * Instantiates an array of SuffolkResident, NYStateResident, NonResident and SeniorCitizen 
     * objects and iterates through the objects to call their toString() methods.
     * 
     * @param args the String[] array command line parameter
     */
    public static void main(String[] args)
    {
        Student[] s =
            {
                new SuffolkResident("Sally", "Walters", "C", 7),
                new NYStateResident("Charles", "Jones", "B+", 13, "Dutchess"),
                new NonResident("Corrine", "Alexander", "A", 12, "MA"),
                new SeniorCitizen("Joseph", "Roberts")
            };

        for (int index = 0; index < s.length; index++)
        {
            JOptionPane.showMessageDialog(null, s[index] );
        }
    }
}

