/**
 * Tests the Circle and Rectangle class which demonstrates polymorphism 
 * behavior with late binding and the call to method printIt() which calls 
 * the abstract method draw() from class Shape which in turn calls the 
 * concrete method draw() of its subclasses.
 *
 * @author Prof. Carl B. Struck
 * @version Copyright (c) 2008 -- SCCC West
 */
public class Shapes2
{
    public static void main(String[] args)
    {
        Shape[] s =
            {
                new Circle(12, 10, 8),
                new Rectangle(22, 20, 15, 10),
                new Triangle(15, 10, 10, 12, 15)
            };

        for (int index = 0; index < s.length; index++)
        {
            s[index].printIt();
        }
    }
}

